Geo::GoogleEarth::Pluggable::Style(3pm)

NAME
Geo::GoogleEarth::Pluggable::Style - Geo::GoogleEarth::Pluggable Style Object

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new();
  my $style=$document->Style();

DESCRIPTION
Geo::GoogleEarth::Pluggable::Style is a Geo::GoogleEarth::Pluggable::Base with a few other methods.

USAGE
  my $style=$document->Style(id=>"Style_Internal_HREF",
                             iconHref=>"http://.../path/image.png");

CONSTRUCTOR

  new
  my $style=$document->Style(id=>"Style_Internal_HREF",
                             iconHref=>"http://.../path/image.png");

METHODS

  type
Returns the object type.

  my $type=$style->type;

  node

  color
Returns a color code for use in the XML structure given many different inputs.

  my $color=$style->color("FFFFFFFF"); #AABBGGRR in hex
  my $color=$style->color({color="FFFFFFFF"});
  my $color=$style->color({red=>255, green=>255, blue=>255, alpha=>255});
  my $color=$style->color({rgb=>[255,255,255], alpha=>255});
  my $color=$style->color({abgr=>[255,255,255,255]});
 #my $color=$style->color({name=>"blue", alpha=>255});  #TODO with ColorNames

Note: alpha can be 0-255 or "0%"-"100%"

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
Try geo-perl email list.

AUTHOR
    Michael R. Davis (mrdvt92)
    CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

        The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable creates a GoogleEarth Document.